# Get Patient Attachment Endpoint: GET /patient_attachment/{patient_attachment_id} Version: v1 Security: x-api-key, a-api-key ## Path parameters: - `patient_attachment_id` (integer, required) ## Response 200 fields (application/json): - `row_num` (integer) - `total_rows` (integer) - `links` (object) - `links.self` (string) Example: "https://api.pracsuite.com/v1/patient_attachment/1" - `links.content` (string) Example: "https://api.pracsuite.com/v1/patient_attachment/1/content" - `links.presign_url` (string) Example: "https://api.pracsuite.com/v1/patient_attachment/1/presign_url" - `tenant_id` (integer) - `attachment_client_id` (integer) - `client_id` (integer) - `user_id` (integer) - `file_date` (string) - `description` (string) - `file_type` (string) - `file_size` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 404 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 404 - `error.code` (string) Example: "NOT_FOUND" - `error.detail` (string) Human readable explanation of the error Example: "Could not find {Resource} with ID {ID_HERE}" - `request_id` (string) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"